﻿// --------------------------------------------------------------------------------------
//
// Haendetrockner1.cs                                             Ulrich Müller  26.07.06
//                                                                PCS1700 C# 2005 Express
// fischertechnik Computing : ROBO Starter - Haendetrockner 1
//                            Konsol Anwendung
//                            unter Nutzung von FishFace2005.DLL
//
// --------------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Text;
using FishFace40;

namespace Haendetrockner1 {
  class Haendetrockner1 {
    static FishFace ft = new FishFace();
    static void Main(string[] args) {
      Haendetrockner1 pg = new Haendetrockner1();
      try {
        ft.OpenInterface(IFTypen.ftROBO_first_USB, 0);
        Console.WriteLine("Händetrockner gestartet");
        ft.SetMotor(Out.M2,Dir.Ein);
        ft.Pause(1000);
        do {
          if(!ft.GetInput(Inp.I1)) {
            ft.SetMotor(Out.M1, Dir.Links);
            ft.Pause(5000);
            ft.SetMotor(Out.M1, Dir.Aus);
          }
        } while (!ft.Finish());
        ft.CloseInterface();
        Console.WriteLine("Händetrockner beendet");
      }
      catch (FishFaceException eft) {
        Console.WriteLine(eft.Message);
      }
      Console.ReadLine();
    }
  }
}
