﻿// --------------------------------------------------------------------------------------
//
// Haendetrockner2.cs                                             Ulrich Müller  26.07.06
//                                                                PCS1700 C# 2005 Express
// fischertechnik Computing : ROBO Starter - Haendetrockner 2
//                            Konsol Anwendung
//                            unter Nutzung von FishFace2005.DLL
//
// --------------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Text;
using FishFace40;

namespace Haendetrockner2 {
  class Haendetrockner2 {
    static FishFace ft = new FishFace();
    static void Main(string[] args) {
      Haendetrockner2 pg = new Haendetrockner2();
      try {
        ft.OpenInterface(IFTypen.ftROBO_first_USB, 0);
        Console.WriteLine("Händetrockner gestartet");
        ft.SetMotor(Out.M2, Dir.Ein);
        ft.Pause(1000);
        do {
          if (ft.GetInput(Inp.I1)) ft.SetMotor(Out.M1, Dir.Aus);
          else ft.SetMotor(Out.M1, Dir.Links);
        } while (!ft.Finish());
        ft.CloseInterface();
        Console.WriteLine("Händetrockner beendet");
      }
      catch (FishFaceException eft) {
        Console.WriteLine(eft.Message);
      }
      Console.ReadLine();
    }
  }
}
