﻿' ---------------------------------------------------------------------------------------
'
' Ampel1.vb                                                        Ulrich Müller 24.07.06
'                                                                  PCS1700 VB2005 Express
' fischertechnik Computing : ROBO Starter - Ammpel 1
'                            Konsol Anwendung
'                            unter Nutzung von FishFace2005.DLL
'
' ---------------------------------------------------------------------------------------

Imports FishFace40

Module Ampel1
  Private ft As New FishFace()

  Sub Main()
    Try
      ft.OpenInterface(IFTypen.ftROBO_first_USB, 0)
      Console.WriteLine("Ampel gestartet")
      Do
        ft.SetMotor(Out.M3, Dir.Ein)
        ft.WaitForInput(Inp.I1)
        ft.Pause(3000)
        ft.SetMotor(Out.M3, Dir.Aus)
        ft.SetMotor(Out.M2, Dir.Ein)
        ft.Pause(4000)
        ft.SetMotor(Out.M2, Dir.Aus)
        ft.SetMotor(Out.M1, Dir.Ein)
        ft.Pause(10000)
        ft.SetMotor(Out.M2, Dir.Ein)
        ft.Pause(3000)
        ft.SetMotor(Out.M1, Dir.Aus)
        ft.SetMotor(Out.M2, Dir.Aus)
      Loop Until ft.Finish()
      ft.CloseInterface()
      Console.WriteLine("Ampel beendet")
    Catch eft As FishFaceException
      Console.WriteLine(eft.Message)
    End Try
    Console.ReadLine()
  End Sub
End Module
