﻿' ---------------------------------------------------------------------------------------
'
' Haendetrockner2.vb                                               Ulrich Müller 24.07.06
'                                                                  PCS1700 VB2005 Express
' fischertechnik Computing : ROBO Starter - Händetrockner2
'                            Konsol Anwendung
'                            unter Nutzung von FishFace2005.DLL
'
' ---------------------------------------------------------------------------------------
Imports FishFace40
Module Haendetrockner2
  Private ft As New FishFace()
  Sub Main()
    Try
      ft.OpenInterface(IFTypen.ftROBO_first_USB, 0)
      Console.WriteLine("Händetrockner gestartet")
      ft.SetMotor(Out.M2, Dir.Ein)
      ft.Pause(1000)
      Do
        If ft.GetInput(Inp.I1) Then
          ft.SetMotor(Out.M1, Dir.Aus)
        Else
          ft.SetMotor(Out.M1, Dir.Links)
        End If
      Loop Until ft.Finish()
      ft.CloseInterface()
      Console.WriteLine("Händetrockner beendet")
    Catch eft As FishFaceException
      Console.WriteLine(eft.Message)
    End Try
    Console.ReadLine()
  End Sub

End Module
