' ---------------------------------------------------------------------------------------
'
' Temp2.vb                                                         Ulrich Mller 24.07.06
'                                                                  PCS1700 VB2005 Express
' fischertechnik Computing : ROBO Starter - Temperaturregelung - Variante Dreipunkt
'                            unter Nutzung von FishFace2005.DLL
'
' ---------------------------------------------------------------------------------------

Imports FishFace40

Public Class Temp2
  Private ft As New FishFace()

  Private Sub cmdAction_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdAction.Click
    Dim AX As Integer
    Try
      ft.OpenInterface(IFTypen.ftROBO_first_USB, 0)
      lblStatus.Text = "Temperaturregelung gestartet"
      ft.SetMotor(Out.M2, Dir.Ein)
      Do
        AX = ft.GetAnalog(Inp.AX)
        lblTemp.Text = AX
        Select Case AX
          Case Is < 340
            lblStatus.Text = "Khlen"
            ft.SetMotor(Out.M1, Dir.Links)
            ft.SetMotor(Out.M2, Dir.Aus)
          Case Is > 380
            lblStatus.Text = "Heizen"
            ft.SetMotor(Out.M1, Dir.Aus)
            ft.SetMotor(Out.M2, Dir.Ein)
          Case Else
            lblStatus.Text = "In der Toleranz"
            ft.SetMotor(Out.M1, Dir.Aus)
            ft.SetMotor(Out.M2, Dir.Aus)
        End Select
        ft.Pause(100)
      Loop Until ft.Finish()
      ft.CloseInterface()
      lblStatus.Text = "Temperaturregelung beendet"
    Catch eft As FishFaceException
      lblStatus.Text = eft.Message
    End Try
  End Sub
End Class
