﻿// --------------------------------------------------------------------------------------
//
// Ampel1.cs                                                      Ulrich Müller  26.07.06
//                                                                PCS1700 C# 2005 Express
// fischertechnik Computing : ROBO Starter - Ampel 1
//                            Konsol Anwendung
//                            unter Nutzung von FishFace2005.DLL
//
// --------------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Text;
using FishFace40;

namespace Ampel1 {
  class Ampel1 {
    static FishFace ft = new FishFace();
    static void Main(string[] args) {
      Ampel1 pg = new Ampel1();
      try {
        ft.OpenInterface(IFTypen.ftROBO_first_USB, 0);
        Console.WriteLine("Ampel gestartet");
        do {
          ft.SetMotor(Out.M3, Dir.Ein);
          ft.WaitForInput(Inp.I1);
          ft.Pause(3000);
          ft.SetMotor(Out.M3, Dir.Aus);
          ft.SetMotor(Out.M2, Dir.Ein);
          ft.Pause(4000);
          ft.SetMotor(Out.M2, Dir.Aus);
          ft.SetMotor(Out.M1, Dir.Ein);
          ft.Pause(10000);
          ft.SetMotor(Out.M2, Dir.Ein);
          ft.Pause(3000);
          ft.SetMotor(Out.M1, Dir.Aus);
          ft.SetMotor(Out.M2, Dir.Aus);
        } while (!ft.Finish());
        ft.CloseInterface();
        Console.WriteLine("Ampel beendet");
      }
      catch (FishFaceException eft) {
        Console.WriteLine(eft.Message);
      }
      Console.ReadLine();
    }
  }
}
