﻿// --------------------------------------------------------------------------------------
//
// Motorsteuerung2.cs                                             Ulrich Müller  26.07.06
//                                                                PCS1700 C# 2005 Express
// fischertechnik Computing : ROBO Starter - Motorsteuerung 2
//                            Konsol Anwendung
//                            unter Nutzung von FishFace2005.DLL
//
// --------------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Text;
using FishFace40;

namespace Motorsteuerung2 {
  class Motorsteuerung2 {
    static FishFace ft = new FishFace();
    static void Main(string[] args) {
      Motorsteuerung2 pg = new Motorsteuerung2();
      try {
        ft.OpenInterface(IFTypen.ftROBO_first_USB, 0);
        Console.WriteLine("Motorsteuerung gestartet");
        ft.WaitForInput(Inp.I1);
        ft.SetMotor(Out.M1, Dir.Links);
        ft.WaitForHigh(Inp.I2);
        ft.SetMotor(Out.M1, Dir.Aus);
        ft.Pause(10000);
        ft.SetMotor(Out.M1, Dir.Rechts);
        ft.WaitForHigh(Inp.I3);
        ft.SetMotor(Out.M1, Dir.Aus);
        ft.CloseInterface();
        Console.WriteLine("Motorsteuerung beendet");
      }
      catch (FishFaceException eft) {
        Console.WriteLine(eft.Message);
      }
      Console.ReadLine();
    }
  }
}
