﻿// --------------------------------------------------------------------------------------
//
// Schiebetuer1.cs                                                Ulrich Müller  26.07.06
//                                                                PCS1700 C# 2005 Express
// fischertechnik Computing : ROBO Starter - Schiebetür 1
//                            Konsol Anwendung
//                            unter Nutzung von FishFace2005.DLL
//
// --------------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Text;
using FishFace40;

namespace Schiebetuer1 {
  class Schiebetuer1 {
    static FishFace ft = new FishFace();
    static void Main(string[] args) {
      Schiebetuer1 pg = new Schiebetuer1();
      try {
        ft.OpenInterface(IFTypen.ftROBO_first_USB, 0);
        Console.WriteLine("Schiebetür gestartet");
        do {
          ft.SetMotor(Out.M1, Dir.Links);
          ft.WaitForInput(Inp.I1, false);
          ft.SetMotor(Out.M1, Dir.Aus);
          ft.WaitForInput(Inp.I3);
          ft.SetMotor(Out.M1, Dir.Rechts);
          ft.WaitForHigh(Inp.I2);
          ft.SetMotor(Out.M1, Dir.Aus);
          ft.Pause(5000);
        } while (!ft.Finish());
        ft.CloseInterface();
        Console.WriteLine
          ("Schiebetür beendet");
      }
      catch (FishFaceException eft) {
        Console.WriteLine(eft.Message);
      }
      Console.ReadLine();
    }
  }
}
