﻿' ---------------------------------------------------------------------------------------
'
' Motorsteuerung2.vb                                               Ulrich Müller 24.07.06
'                                                                  PCS1700 VB2005 Express
' fischertechnik Computing : ROBO Starter - Motorsteuerung 2
'                            Konsol Anwendung
'                            unter Nutzung von FishFace2005.DLL
'
' ---------------------------------------------------------------------------------------

Imports FishFace40

Module Motorsteuerung2
  Private ft As New FishFace()

  Sub Main()
    Try
      ft.OpenInterface(IFTypen.ftROBO_first_USB, 0)
      Console.WriteLine("Motorsteuerung gestartet")
      ft.WaitForInput(Inp.I1)
      ft.SetMotor(Out.M1, Dir.Links)
      ft.WaitForHigh(Inp.I2)
      ft.SetMotor(Out.M1, Dir.Aus)
      ft.Pause(10000)
      ft.SetMotor(Out.M1, Dir.Rechts)
      ft.WaitForHigh(Inp.I3)
      ft.SetMotor(Out.M1, Dir.Aus)
      ft.CloseInterface()
      Console.WriteLine("Motorsteuerung beendet")
    Catch eft As FishFaceException
      Console.WriteLine(eft.Message)
    End Try
    Console.ReadLine()
  End Sub
End Module
