﻿' ---------------------------------------------------------------------------------------
'
' Schiebetuer1.vb                                                  Ulrich Müller 24.07.06
'                                                                  PCS1700 VB2005 Express
' fischertechnik Computing : ROBO Starter - Schiebetür 1
'                            Konsol Anwendung
'                            unter Nutzung von FishFace2005.DLL
'
' ---------------------------------------------------------------------------------------

Imports FishFace40

Module Schiebetuer1
  Private ft As New FishFace

  Sub Main()
    Try
      ft.OpenInterface(IFTypen.ftROBO_first_USB, 0)
      Console.WriteLine("Schiebetür gestartet")
      Do
        ft.SetMotor(Out.M1, Dir.Links)
        ft.WaitForInput(Inp.I1, False)
        ft.SetMotor(Out.M1, Dir.Aus)
        ft.WaitForInput(Inp.I3)
        ft.SetMotor(Out.M1, Dir.Rechts)
        ft.WaitForHigh(Inp.I2)
        ft.SetMotor(Out.M1, Dir.Aus)
        ft.Pause(5000)
      Loop Until ft.Finish()
      ft.CloseInterface()
      Console.WriteLine("Schiebetür beendet")
    Catch eft As FishFaceException
      Console.WriteLine(eft.Message)
    End Try
    Console.ReadLine()
  End Sub
End Module
